## NAME

i.group - Creates, edits, and lists groups of imagery data.

## KEYWORDS

imagery, map management

## SYNOPSIS

i.group
i.group --help
i.group [-rlsg] group=name [subgroup=name] [input=name[,name,...]] [file=name] format=name [--help] [--verbose] [--quiet] [--ui]

### Flags:

-r
  Remove selected files from specified group or subgroup
-l
  List files from specified (sub)group
-s
  List subgroups from specified group
-g
  Print in shell script style [deprecated]
  This flag is deprecated and will be removed in a future release. Use format=shell instead.
--help
  Print usage summary
--verbose
  Verbose module output
--quiet
  Quiet module output
--ui
  Force launching GUI dialog

### Parameters:

group=name [required]
  Name of imagery group
subgroup=name
  Name of imagery subgroup
input=name[,name,...]
  Name of raster map(s) to include in group
file=name
  Input file with one raster map name per line
format=name [required]
  Output format
  Options: plain, shell, json
  Default: plain
  plain: Human readable text output
  shell: shell script style text output
  json: JSON (JavaScript Object Notation)

## DESCRIPTION

i.group allows the user to collect raster map layers in an imagery group by assigning them to user-named subgroups or other groups. This enables the user to run analyses on any combination of the raster map layers in a group. The user creates the groups and subgroups and selects the raster map layers that are to reside in them. Imagery analysis programs like g.gui.gcp, i.rectify, i.ortho.photo and others ask the user for the name of an imagery group whose data are to be analyzed. Imagery analysis programs like i.cluster and i.maxlik ask the user for the imagery group and imagery subgroup whose data are to be analyzed.

## NOTES

The i.group options are only available for imagery map layers in the current LOCATION_NAME.

Subgroup names may not contain more than 12 characters.

### EXAMPLE

This example runs in the "landsat" mapset of the North Carolina sample dataset. The following command creates a group and subgroup containing only the visible light bands of Landsat-7:

    i.group group=vis_bands subgroup=vis_bands input=lsat7_2000_10,lsat7_2000_20,lsat7_2000_30

## SEE ALSO

The GRASS 4 Image Processing manual

g.gui.gcp, i.cluster, i.maxlik, i.rectify, i.ortho.photo

## AUTHORS

Michael Shapiro, U.S.Army Construction Engineering Research Laboratory
Parser support: Bob Covill (Tekmap, Canada)

## SOURCE CODE

Available at: i.group source code (history)

Latest change: Thursday Oct 02 14:39:13 2025 in commit: 1850489bf42c72d8dcfe2e4db1738441b4a7dc43

Main index | Imagery index | Topics index | Keywords index | Graphical index | Full index

© 2003-2026 GRASS Development Team, GRASS 8.5.0 Reference Manual